E-MailRelay

Public Member Functions | List of all members
GAuth::SecretsFileClient Class Reference

A thin adapter between GAuth::SecretsFile and GAuth::SaslClientSecrets returned by GAuth::Secrets::newClientSecrets(). More...

`#include <gsecrets.h>`

Inheritance diagram for GAuth::SecretsFileClient:
[legend]
Collaboration diagram for GAuth::SecretsFileClient:
[legend]

## Public Member Functions
| SecretsFileClient (const std::string &path_spec, const std::string &log_name)
| Constructor. See GAuth::Secrets::newClientSecrets(). More...
| ~SecretsFileClient () override
| Destructor.
| SecretsFileClient (const SecretsFileClient &)=delete
| SecretsFileClient (SecretsFileClient &&)=delete
SecretsFileClient & | operator= (const SecretsFileClient &)=delete
SecretsFileClient & | operator= (SecretsFileClient &&)=delete
Public Member Functions inherited from GAuth::SaslClientSecrets
virtual | ~SaslClientSecrets ()=default
| Destructor.
virtual bool | validSelector (std::string_view selector) const =0
| Returns true if the selector is valid.
virtual bool | mustAuthenticate (std::string_view selector) const =0
| Returns true if authentication is required. More...
virtual Secret | clientSecret (std::string_view type, std::string_view selector) const =0
| Returns the client secret for the given type. More...

## Detailed Description

A thin adapter between GAuth::SecretsFile and GAuth::SaslClientSecrets returned by GAuth::Secrets::newClientSecrets().

Definition at line 77 of file gsecrets.h.

## Constructor & Destructor Documentation

## ◆ SecretsFileClient()

GAuth::SecretsFileClient::SecretsFileClient | ( | const std::string & | path_spec,
|  | const std::string & | log_name
| ) |  |

Constructor. See GAuth::Secrets::newClientSecrets().

Definition at line 86 of file gsecrets.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gauth/gsecrets.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gauth/gsecrets.cpp